from django.urls import path, include
from .admin import moderation_site
from .views import EditSubmissionListView, PhotoSubmissionListView

app_name = 'moderation'

urlpatterns = [
    # Custom moderation views
    path('submissions/', include([
        path('edits/', EditSubmissionListView.as_view(), name='edit_submissions'),
        path('photos/', PhotoSubmissionListView.as_view(), name='photo_submissions'),
    ])),
    
    # Admin site URLs
    path('admin/', moderation_site.urls),
]
